Running mpd on Linux failed with glibc error

  • 1. Pull latest libreelec sources

    2. Updated sources to use latest mpd version (0.21.18 instead of 0.21.4 in current)

    3. Run PROJECT=RPi DEVICE=RPi2 ARCH=arm scripts/create_addon mpd (on Ubuntu 19.10 x64 host)

    4. Copied zip to rpi2 with latest LibreELEC

    Linux LibreELEC 4.19.83 #1 SMP Sat Nov 23 01:55:35 CET 2019 armv7l GNU/Linux

    5. unzip, tried to run mpd

    error

    ./mpd: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by ./mpd)

    ./mpd: /usr/lib/libcurl.so.4: version `CURL_GNUTLS_4' not found (required by ./mpd)

  • I am building image from master and will update LE firstly, and than try to run mpd one more time